<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('song_song_category', function (Blueprint $table) {
            $table->unsignedBigInteger('song_id');
            $table->unsignedBigInteger('song_category_id');
            
            $table->foreign('song_id')->references('id')->on('songs')->restrictOnDelete()->restrictOnUpdate();
            $table->foreign('song_category_id')->references('id')->on('song_categories')->restrictOnDelete()->restrictOnUpdate();
            $table->primary(['song_id', 'song_category_id']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('song_song_category');
    }
};
